package kcg.imis.sec;

import java.io.Serializable;

/**
  * @FileName : LoginUserVO.java
  * @Project : 국제해양프로젝트
  * @Date : 2018. 3. 29. 
  * @작성자 : Moon
  * @변경이력 : 
  * @프로그램 설명 :
 */
@SuppressWarnings("unused")
public class LoginUserVO implements Serializable {

	private static final long serialVersionUID = -442635991774448712L;

	/**
	 * rnum.
	 */
	private int rnum;
	
	/**
	 * 경찰 타입. 국제경찰 : 1, 일반 경찰 : 2
	 */
	private int type = 1;
	
	/* DB 컬럼 */
	/**
	 * 사용자 ID.
	 */
	private String userid;

	// 20180528 게시판 내용 검색 부분 추가
	private String bdcontent;
	
	public String getBdcontent() {
		return bdcontent;
	}
	public void setBdcontent(String bdcontent) {
		this.bdcontent = bdcontent;
	}
	/**
	 * 비밀번호.
	 */
	private String passwd;
	/**
	 * 이름.
	 */
	private String name;
	/**
	 * 소속1.
	 */
	private String place1;
	/**
	 * 소속2.
	 */
	private String place2;
	/**
	 * 계급.
	 */
	private String position;
	/**
	 * 직책(없음/반장/계장/과장).
	 */
	private String duties;
	/**
	 * IP.
	 */
	private String ip;
	/**
	 * 사용자 등급.
	 */
	private int usegrade;
	
	/* 권한 & 직무코드에 따른 명칭 */
	private String role;
	/**
	 * 소속1 명칭.
	 */
	private String place1Str;
	/**
	 * 소속1 명칭 약자.
	 */
	private String place1Yak;
	/**
	 * 소속2 명칭.
	 */
	private String place2Str;
	/**
	 * 소속3 명칭.
	 */
	private String place3Str;
	/**
	 * 계급 명칭.
	 */
	private String positionStr;
	/**
	 * 직급 명칭.
	 */
	private String dutyStr;

	/**
	 * 견문 권한
	 */
	private int rptAuth;
	
	/**
	 * 권한 레벨.
	 */
	private int rolelevel; 
	/**
	 * 각 기관의 관리자 여부.
	 */
	private boolean isAdmin;
	
	/**
	 * 시스템 관리자 여부. 
	 */
	private boolean isSysAdmin;
	
	private int authType;
	private int authAdmin;
	private int authSection;
	private int authHead;
	private int authApprove;
	

	/* 견문 권한 */
	private int authCode;
	private int authSearch;
	private int authStatistics;
	private int authWaitList;
	private int authManage;
	private int authProxySection;
	private int authProxyHead;
	
	/**
	 * 로그인 실패횟수.
	 */
	private int chkcnt = 0;
	
	/**
	 * @return the rnum
	 */
	public int getRnum() {
		return rnum;
	}
	/**
	 * @param rnum the rnum to set
	 */
	public void setRnum(final int rnum) {
		this.rnum = rnum;
	}
	/**
	 * @return the type
	 */
	public int getType() {
		return type;
	}
	/**
	 * @param type the type to set
	 */
	public void setType(final int type) {
		this.type = type;
	}
	/**
	 * @return the userid
	 */
	public String getUserid() {
		return userid;
	}
	/**
	 * @param userid the userid to set
	 */
	public void setUserid(final String userid) {
		this.userid = userid;
	}
	/**
	 * @return the passwd
	 */
	public String getPasswd() {
		return passwd;
	}
	/**
	 * @param passwd the passwd to set
	 */
	public void setPasswd(final String passwd) {
		this.passwd = passwd;
	}
	/**
	 * @return the idno
	 */
	/**
	 * @return the name
	 */
	public String getName() {
		return name;
	}
	/**
	 * @param name the name to set
	 */
	public void setName(final String name) {
		this.name = name;
	}
	/**
	 * @return the place1
	 */
	public String getPlace1() {
		return place1;
	}
	/**
	 * @param place1 the place1 to set
	 */
	public void setPlace1(final String place1) {
		this.place1 = place1;
	}
	/**
	 * @return the place2
	 */
	public String getPlace2() {
		return place2;
	}
	/**
	 * @param place2 the place2 to set
	 */
	public void setPlace2(final String place2) {
		this.place2 = place2;
	}
	/**
	 * @return the position
	 */
	public String getPosition() {
		return position;
	}
	/**
	 * @param position the position to set
	 */
	public void setPosition(final String position) {
		this.position = position;
	}
	/**
	 * @return the duties
	 */
	public String getDuties() {
		return duties;
	}
	/**
	 * @param duties the duties to set
	 */
	public void setDuties(final String duties) {
		this.duties = duties;
	}
	/**
	 * @return the ip
	 */
	public String getIp() {
		return ip;
	}
	/**
	 * @param ip the ip to set
	 */
	public void setIp(final String ip) {
		this.ip = ip;
	}
	/**
	 * @return the usegrade
	 */
	public int getUsegrade() {
		return usegrade;
	}
	/**
	 * @param usegrade the usegrade to set
	 */
	public void setUsegrade(final int usegrade) {
		this.usegrade = usegrade;
	}
	/**
	 * @return the role
	 */
	public String getRole() {
		return role;
	}
	/**
	 * @param role the role to set
	 */
	public void setRole(final String role) {
		this.role = role;
	}
	/**
	 * @return the place1Str
	 */
	public String getPlace1Str() {
		return place1Str;
	}
	/**
	 * @param place1Str the place1Str to set
	 */
	public void setPlace1Str(final String place1Str) {
		this.place1Str = place1Str;
	}
	/**
	 * @return the place1Yak
	 */
	public String getPlace1Yak() {
		return place1Yak;
	}
	/**
	 * @param place1Yak the place1Yak to set
	 */
	public void setPlace1Yak(final String place1Yak) {
		this.place1Yak = place1Yak;
	}
	/**
	 * @return the place2Str
	 */
	public String getPlace2Str() {
		return place2Str;
	}
	/**
	 * @param place2Str the place2Str to set
	 */
	public void setPlace2Str(final String place2Str) {
		this.place2Str = place2Str;
	}
	/**
	 * @return the place3Str
	 */
	public String getPlace3Str() {
		return place3Str;
	}
	/**
	 * @param place3Str the place3Str to set
	 */
	public void setPlace3Str(final String place3Str) {
		this.place3Str = place3Str;
	}
	/**
	 * @return the positionStr
	 */
	public String getPositionStr() {
		return positionStr;
	}
	/**
	 * @param positionStr the positionStr to set
	 */
	public void setPositionStr(final String positionStr) {
		this.positionStr = positionStr;
	}
	/**
	 * @return the rolelevel
	 */
	public int getRolelevel() {
		return rolelevel;
	}
	/**
	 * @param rolelevel the rolelevel to set
	 */
	public void setRolelevel(final int rolelevel) {
		this.rolelevel = rolelevel;
	}
	/**
	 * @return the isAdmin
	 */
	public boolean getIsAdmin() {
		return isAdmin;
	}
	/**
	 * @param isAdmin the isAdmin to set
	 */
	public void setIsAdmin(final boolean isAdmin) {
		this.isAdmin = isAdmin;
	}
	/**
	 * @return the isSysAdmin
	 */
	public boolean getIsSysAdmin() {
		return isSysAdmin;
	}
	/**
	 * @param isSysAdmin the isSysAdmin to set
	 */
	public void setIsSysAdmin(final boolean isSysAdmin) {
		this.isSysAdmin = isSysAdmin;
	}
	/**
	 * @return the authType
	 */
	public int getAuthType() {
		return authType;
	}
	/**
	 * @param authType the authType to set
	 */
	public void setAuthType(final int authType) {
		this.authType = authType;
	}
	/**
	 * @return the authAdmin
	 */
	public int getAuthAdmin() {
		return authAdmin;
	}
	/**
	 * @param authAdmin the authAdmin to set
	 */
	public void setAuthAdmin(final int authAdmin) {
		this.authAdmin = authAdmin;
	}
	/**
	 * @return the authSection
	 */
	public int getAuthSection() {
		return authSection;
	}
	/**
	 * @param authSection the authSection to set
	 */
	public void setAuthSection(final int authSection) {
		this.authSection = authSection;
	}
	/**
	 * @return the authHead
	 */
	public int getAuthHead() {
		return authHead;
	}
	/**
	 * @param authHead the authHead to set
	 */
	public void setAuthHead(final int authHead) {
		this.authHead = authHead;
	}
	/**
	 * @return the authApprove
	 */
	public int getAuthApprove() {
		return authApprove;
	}
	/**
	 * @param authApprove the authApprove to set
	 */
	public void setAuthApprove(final int authApprove) {
		this.authApprove = authApprove;
	}
	/**
	 * @return the authCode
	 */
	public int getAuthCode() {
		return authCode;
	}
	/**
	 * @param authCode the authCode to set
	 */
	public void setAuthCode(final int authCode) {
		this.authCode = authCode;
	}
	/**
	 * @return the authSearch
	 */
	public int getAuthSearch() {
		return authSearch;
	}
	/**
	 * @param authSearch the authSearch to set
	 */
	public void setAuthSearch(final int authSearch) {
		this.authSearch = authSearch;
	}
	/**
	 * @return the authStatistics
	 */
	public int getAuthStatistics() {
		return authStatistics;
	}
	/**
	 * @param authStatistics the authStatistics to set
	 */
	public void setAuthStatistics(final int authStatistics) {
		this.authStatistics = authStatistics;
	}
	/**
	 * @return the authWaitList
	 */
	public int getAuthWaitList() {
		return authWaitList;
	}
	/**
	 * @param authWaitList the authWaitList to set
	 */
	public void setAuthWaitList(final int authWaitList) {
		this.authWaitList = authWaitList;
	}
	/**
	 * @return the authManage
	 */
	public int getAuthManage() {
		return authManage;
	}
	/**
	 * @param authManage the authManage to set
	 */
	public void setAuthManage(final int authManage) {
		this.authManage = authManage;
	}
	/**
	 * @return the authProxySection
	 */
	public int getAuthProxySection() {
		return authProxySection;
	}
	/**
	 * @param authProxySection the authProxySection to set
	 */
	public void setAuthProxySection(final int authProxySection) {
		this.authProxySection = authProxySection;
	}
	/**
	 * @return the authProxyHead
	 */
	public int getAuthProxyHead() {
		return authProxyHead;
	}
	/**
	 * @param authProxyHead the authProxyHead to set
	 */
	public void setAuthProxyHead(final int authProxyHead) {
		this.authProxyHead = authProxyHead;
	}
	/**
	 * @return the chkcnt
	 */
	public final int getChkcnt() {
		return chkcnt;
	}
	/**
	 * @param chkcnt the chkcnt to set
	 */
	public final void setChkcnt(final int chkcnt) {
		this.chkcnt = chkcnt;
	}
	public String getDutyStr() {
		return dutyStr;
	}
	public void setDutyStr(String dutyStr) {
		this.dutyStr = dutyStr;
	}
	public int getRptAuth() {
		return rptAuth;
	}
	public void setRptAuth(int rptAuth) {
		this.rptAuth = rptAuth;
	}
}